package com.bonus.sgzb.app.mapper;

import com.bonus.sgzb.base.api.domain.LeaseApplyInfo;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
* Description:
* @Author 阮世耀
* @Create 2023/12/13 15:45
* @Version 1.0
*/

@Mapper
public interface LeaseApplyInfoMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(LeaseApplyInfo record);

    int insertOrUpdate(LeaseApplyInfo record);

    int insertOrUpdateSelective(LeaseApplyInfo record);

    int insertSelective(LeaseApplyInfo record);

    LeaseApplyInfo selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(LeaseApplyInfo record);

    int updateByPrimaryKey(LeaseApplyInfo record);

    int updateBatch(List<LeaseApplyInfo> list);

    int updateBatchSelective(List<LeaseApplyInfo> list);

    int batchInsert(@Param("list") List<LeaseApplyInfo> list);
}